diff build-aux/find-files-with-tests.sh @ 16023:98fc95793699

missing file for commit 5b2126a8c84f
author John W. Eaton <jwe@octave.org>
date Fri, 08 Feb 2013 21:52:09 -0500
parents
children 43e6415393ff
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/build-aux/find-files-with-tests.sh	Fri Feb 08 21:52:09 2013 -0500
@@ -0,0 +1,19 @@
+#! /bin/sh
+
+set -e
+SED=${SED:-sed}
+
+srcdir="$1"
+shift
+
+for arg
+do
+  if [ -f "$arg" ]; then
+    file="$arg"
+  else
+    file="$srcdir/$arg"
+  fi
+  if [ "`grep -l '^%!' $file`" ]; then
+    echo "$file" | $SED "s,\\$srcdir/,,";
+  fi
+done